## 4digits 0.4

=== Makefile ===
# Makefile for 4digits
all: 4digits-text

CC = gcc
CFLAGS = -Wall -std=c99 -pedantic -g
SHELL = /bin/sh

4digits-text: 4digits-text.c
	$(CC) $(CFLAGS) 4digits-text.c -o 4digits-text

install: 4digits.6 4digits.glade 4digits_logo.png 4digits_logo.xcf 4digits-text 4digits doc/ COPYING
	install -d /usr/share/man/man6/ /usr/share/4digits/ /usr/games/ /usr/share/doc/4digits/ /usr/share/doc/4digits/images/
	install 4digits.6 /usr/share/man/man6/
	install 4digits.glade 4digits_logo.png 4digits_logo.xcf /usr/share/4digits/
	install 4digits-text 4digits /usr/games/
	install COPYING /usr/share/doc/4digits/
	cp -af doc/* /usr/share/doc/4digits/

## 4digits 0.8

=== Makefile ===
# Makefile for 4digits
all: 4digits-text

CC = gcc
CFLAGS = -Wall -std=c99 -pedantic -g
SHELL = /bin/sh

4digits-text: 4digits-text.c
	$(CC) $(CFLAGS) 4digits-text.c -o 4digits-text
clean:
	rm -f 4digits-text

## 4digits 1.0

=== debian/changelog ===
4digits (1.0-1) unstable; urgency=low
  * New upstream release.
  * Change maintainer to Yongzhi Pan <panyongzhi@gmail.com>.
  * debian/control:
    - Bumped Standards-Version to 3.9.2.
    - Updated debhelper to version 8, recommended
      compatibility level.
    - Dropped imagemagick build dependency, no longer used
      during build.
    - Added python build dependency for dh_python2.
  * debian/compat:
    - Updated debhelper to version 8, recommended
      compatibility level.
  * debian/copyright:
    - Updated format to DEP5.
  * debian/source:
    - Added source package format "3.0 (quilt)".
  * debian/rules:
    - Changed to simple default debhelper rules, with
      dh_python2.
  * debian/docs:
    - Added list of doc files to install, so debian/rules
      needs no custom targets.
  * debian/install:
    - Added list of files to install, so debian/rules needs
      no custom targets.
  * debian/menu:
    - Changed path to .xpm icon to standard pixmaps
      directory.
  * debian/4digits.xpm:
    - Added .xpm format icon for menu, since it's no longer
      included upstream.

 -- Allison Randal <allison@lohutok.net>  Thu, 17 Nov 2011 17:59:53 -0800

4digits (0.8-2) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA groups <packages@qa.debian.org>
  * Add depends on python-gnome2 (Closes: #475143)
  * Bump Standard-Version to 3.7.3, nothing needed to be changed
  * Add Homepage field in debian/control
  * Fix bugs in debian/watch
  * Add debian/menu
    + Add 32x32 icon for menu item

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 21 Apr 2008 22:01:45 +0800

4digits (0.8-1) unstable; urgency=low

  * New upstream version. (Closes: #460538, #449139)
  * Fixed debian/watch. (Closes: #450113)

 -- Cai Qian <caiqian@debian.org>  Wed, 06 Feb 2008 13:11:00 +0800
	

4digits (0.4-1) unstable; urgency=low

  * Initial release (Closes: #415838)

 -- Cai Qian <caiqian@debian.org>  Sat, 24 Mar 2007 13:37:18 +0800

## 4digits 1.1.1

=== debian/changelog ===
4digits (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Added patch to fix resource directory.

 -- Yongzhi Pan <panyongzhi@gmail.com>  Sat, 10 Dec 2011 10:11:04 +0800

=== debian/control ===
Source: 4digits
Section: games
Priority: extra
Maintainer: Yongzhi Pan <panyongzhi@gmail.com>
Uploaders: Allison Randal <allison@lohutok.net>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/fourdigits/

Package: 4digits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-glade2, python-gnome2
Description: guess-the-number game, aka Bulls and Cows
 4digits is a guess-the-number puzzle game. It's called Bulls and Cows,
 and in China people simply call it Guess-the-Number. The game's
 objective is to guess a four-digit number in 8 tries and the shortest
 time possible. It is similar to Mastermind, but the four digits must
 be unique. 4digits has both a graphical user interface version and
 a command-line version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with python2

## 4digits 1.1.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 all: 4digits-text
 
 CC = gcc
-CFLAGS = -Wall -std=c99 -pedantic -g
+CFLAGS = -Wall -std=c99 -pedantic
 SHELL = /bin/sh
 
 4digits-text: 4digits-text.c

=== debian/changelog ===
4digits (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Added patch to fix resource directory.
  * debian/control:
    - Bumped Standards-Version to 3.9.3.

 -- Yongzhi Pan <panyongzhi@gmail.com>  Wed, 16 May 2012 22:19:20 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Yongzhi Pan <panyongzhi@gmail.com>
 Uploaders: Allison Randal <allison@lohutok.net>
 Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/fourdigits/
 
 Package: 4digits

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/fourdigits/4digits_(.*)\.tar\.bz2

## 4digits 1.1.4

=== Makefile ===
# Makefile for 4digits

CC = gcc
CFLAGS = -Wall -std=c99 -pedantic -g
SHELL = /bin/sh
# For distribution packaging
#INSTALL_DIR = /usr/share/locale
INSTALL_DIR = locale

#all: 4digits-text compile-po
all: 4digits-text update-po compile-po install-po

trans: update-po compile-po install-po

4digits-text: 4digits-text.c
	$(CC) $(CFLAGS) 4digits-text.c -o 4digits-text

clean:
	rm -f 4digits-text
	rm -f po/*.mo po/*.po~

# Dirty hack: xgettext cannot guess that '4digits' is a python since it
# has no .py extension so we make a temporary symlink.
update-po:
	#Update 4digits.pot
	ln -sf 4digits 4digits.py
	xgettext 4digits.py 4digits-text.c 4digits.glade -o po/4digits.pot -k_ -kN_
	rm 4digits.py
	#Update translations
	for f in po/*.po; do \
		msgmerge -U $$f po/4digits.pot; \
	done

compile-po:
	for f in po/*.po; do \
		g=`echo $$f | sed -e 's/\.po/\.mo/'`; \
		msgfmt $$f -o $$g; \
	done

install-po:
	for g in po/*.mo; do \
		l=`echo $$g | sed -e 's#po/\(.*\)\.mo#\1#'`; \
		install -m644 -D $$g $(INSTALL_DIR)/$$l/LC_MESSAGES/4digits.mo; \
	done

=== debian/changelog ===
4digits (1.1.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:11:36 +0000

4digits (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove patch to fix resource directory.
    - Add patch to change locale path.

 -- Yongzhi Pan <panyongzhi@gmail.com>  Sat, 07 Dec 2013 21:00:00 +0800

=== debian/control ===
Source: 4digits
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yongzhi Pan <panyongzhi@gmail.com>
Uploaders: Allison Randal <allison@lohutok.net>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3~)
Standards-Version: 3.9.5
Homepage: http://fourdigits.sourceforge.net

Package: 4digits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-glade2
Description: guess-the-number game, aka Bulls and Cows
 4digits is a guess-the-number puzzle game. It's called Bulls and Cows,
 and in China people simply call it Guess-the-Number. The game's
 objective is to guess a four-digit number in 8 tries and the shortest
 time possible. It is similar to Mastermind, but the four digits must
 be unique. 4digits has both a graphical user interface version and
 a command-line version.

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 
 %:
 	dh $@ --with python2
+
+clean:
+	# Remove mo files before buiding source package.
+	find -name "*.mo" -delete

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
# Github releases
https://github.com/fossilet/4digits/tags .*/v?(\d\S*)\.tar\.gz
# Uncomment to find new files on sourceforge, for debscripts >= 2.9
#http://sf.net/fourdigits/4digits_(.*)\.tar\.bz2
